## org.apache.xalan.xsltc.dom
Class FilteredStepIterator

    java.lang.Object
      org.apache.xml.dtm.ref.DTMAxisIteratorBase
          org.apache.xalan.xsltc.dom.StepIterator
              org.apache.xalan.xsltc.dom.FilteredStepIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

    public final class FilteredStepIterator

extends StepIterator

Extends a StepIterator by adding the ability to filter nodes. It uses filters similar to those of a FilterIterator.

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen, Morten Jorgensen

Field Summary

Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator
`END`

Constructor Summary
`FilteredStepIterator(DTMAxisIterator source, DTMAxisIterator iterator, Filter filter)`

Method Summary
`int` `next()` Get the next node in the iteration.

Methods inherited from class org.apache.xalan.xsltc.dom.StepIterator
`cloneIterator, gotoMark, reset, setMark, setRestartable, setStartNode`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteredStepIterator

    public FilteredStepIterator(DTMAxisIterator source,
                                DTMAxisIterator iterator,
                                Filter filter)

Method Detail

### next

    public int next()

  Description copied from interface: `DTMAxisIterator`
  Get the next node in the iteration.

  Specified by:
    `next` in interface `DTMAxisIterator`
  Overrides:
    `next` in class `StepIterator`
  Returns:
    The next node handle in the iteration, or END.

Copyright © 2005 Apache XML Project. All Rights Reserved.